︎



︎ Contact Support

Browser Support



Cargo sites are optimized to run on the two most recent versions of the following browsers:

︎ Chrome
︎ Safari
︎ Firefox
︎ Microsoft Edge

Each time a new version is released Cargo will support the update and discontinue support for the third-oldest version. Sites are likely to continue working in older versions, but you may experience bugs or other issues.

Cookies and JavaScript must be enabled. Many animated backdrops require WebGL to display correctly. Beta versions of browsers are not supported.

Supported mobile devices are iPhone and iPad devices running iOS 9+, as well as Android handsets & tablets running OS versions 6+.

Making a Cargo site requires a recent desktop version of Chrome or Safari.